%define anolis_release 1

%global src_name GitLab-API-v4
%bcond_with check

Name:           perl-%{src_name}
Version:        0.26
Release:        %{anolis_release}%{dist}
Summary:        Complete GitLab API v4 client
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/%{src_name}

Source0:        https://cpan.metacpan.org/authors/id/B/BL/BLUEFEET/%{src_name}-%{version}.tar.gz

# Fixed incorrect license messaging in POD backported from upstream
Patch0:         0001-GitLab-API-v4-0.26-Update-license-POD.patch

BuildArch:      noarch

BuildRequires:  coreutils
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(:VERSION) >= 5.010
BuildRequires:  perl(Carp)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(Getopt::Long)
BuildRequires:  perl(HTTP::Tiny) >= 0.059
BuildRequires:  perl(IPC::Cmd)
BuildRequires:  perl(JSON) >= 2.59
BuildRequires:  perl(MIME::Base64) >= 3.15
BuildRequires:  perl(Module::Build::Tiny)
BuildRequires:  perl(Moo) >= 2.003000
BuildRequires:  perl(Path::Tiny) >= 0.079
BuildRequires:  perl(Pod::Usage)
BuildRequires:  perl(Test2::V0) >= 0.000094
BuildRequires:  perl(Try::Tiny) >= 0.28
BuildRequires:  perl(URI) >= 1.62
BuildRequires:  perl(URI::Escape) >= 1.72
BuildRequires:  perl(namespace::clean) >= 0.27
BuildRequires:  perl(strict)
BuildRequires:  perl(strictures) >= 2.000003

%description
This module provides a one-to-one interface with the GitLab API v4.
Much is not documented here as it would just be duplicating GitLab's
own API Documentation.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -n %{src_name}-%{version} -p 1

%build
perl Build.PL --installdirs=vendor
./Build

%install
./Build install --destdir=%{buildroot} --create_packlist=0
%{_fixperms} %{buildroot}/*

%check
%if %{with check}
./Build test
%endif

%files
%license LICENSE
%{perl_vendorlib}/*
%{_bindir}/*
%{_mandir}/man*/*

%files doc
%doc Changes README.md

%changelog
* Sat Mar 25 2023 yuanhui <yuanhui@linux.alibaba.com> - 0.26-1
- Init package from upstream
